EmbodiFlow文档
开始使用数据工作流与算法训练与部署开发者参考
  • 开发者参考

认证

  • 认证概览
  • API 密钥
  • 个人访问令牌
  • 浏览器会话

REST API

  • 使用 REST API
  • 全部端点
  • 项目
    • 录制
      • 上传
        • 任务片段与版本
          • 标注
            • 质量与任务
              • 检索
                • 工作流
                  • 算法
                    • 模型
                      • 产物与导出
                        • 计费与用量
                          • 团队与治理
                            • 账号与通知
                              • GET
                                List the current user activity tray for this team
                              • GET
                                Get the current user handle profile
                              • PATCH
                                Update the current user handle
                              • GET
                                List annotation assignments for a me
                              • GET
                                List collection tasks for a me
                              • GET
                                Get a collection task
                              • POST
                                Create a consent acceptance
                              • GET
                                List delivery batches for a me
                              • POST
                                Create a closure
                              • GET
                                Get the current user notification channel preferences for this team
                              • PUT
                                Replace the current user notification channel preferences for this team
                              • GET
                                List workflow runs for a me
                              • GET
                                List notifications
                              • POST
                                Create a read receipt
                              • POST
                                Create a read receipt
                              • GET
                                List unread count for a notification
                            • Webhook 端点

                              事件

                              • 出站事件
                              • 签名校验

                              工具

                              • 命令行
                              • SDK
                              • MCP

                              更新

                              • 更新日志

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. 开发者参考
                              2. REST API
                              3. 账号与通知
                              4. List notifications

                              List notifications

                              GET
                              /v1/notifications
                              curl -X GET 'https://api.embodiflow.io/v1/notifications' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              认证

                              每个请求都需要携带个人访问令牌(PAT)。

                              • Authorization: Bearer PAT
                              认证指南

                              查询参数

                              • unreadOnlyboolean
                              • pageSizenumber

                                Page size (default 25, maximum 100). Over-maximum is refused.

                              • pageTokenstring

                                Opaque page token from the previous response.

                              响应

                              Success

                              • dataarray<UserNotificationItemDto>必填
                                • idstring (uuid)必填
                                • eventIdstring (uuid)必填
                                • eventTypestring必填
                                • resourceTypestring必填
                                • resourceIdstring (uuid)必填
                                • projectIdstring (uuid) | null必填
                                • occurredAtstring必填
                                • readboolean必填
                                • truncatedboolean必填
                                • hrefstring | null必填
                                • resourceLabelstring | null
                                • projectNamestring | null
                                • resourceStatusstring | null
                                • versionNumbernumber

                                  Dataset version number for `version` and `export` notifications.

                                • exportFormatstring

                                  Export format slug for `export` notifications.

                                • countnumber必填
                              • nextPageTokenstring

                                Opaque AIP-158 page token. Omitted when the collection is exhausted.

                              • metaobject必填
                                • pageSizenumber必填
                              响应示例
                              {
                                "data": [
                                  {
                                    "id": "00000000-0000-0000-0000-000000000000",
                                    "eventId": "00000000-0000-0000-0000-000000000000",
                                    "eventType": "string",
                                    "resourceType": "string",
                                    "resourceId": "00000000-0000-0000-0000-000000000000",
                                    "projectId": "00000000-0000-0000-0000-000000000000",
                                    "occurredAt": "string",
                                    "read": true,
                                    "truncated": true,
                                    "href": "string",
                                    "resourceLabel": "string",
                                    "projectName": "string",
                                    "resourceStatus": "string",
                                    "versionNumber": 0,
                                    "exportFormat": "string",
                                    "count": 0
                                  }
                                ],
                                "nextPageToken": "string",
                                "meta": {
                                  "pageSize": 0
                                }
                              }
                              服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              上一页

                              GET /me/workflow-runs

                              下一页

                              POST /notifications/{id}/read-receipts

                              curl -X GET 'https://api.embodiflow.io/v1/notifications' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              响应示例
                              状态码
                              200
                              ​
                              {
                                "data": [
                                  {
                                    "id": "00000000-0000-0000-0000-000000000000",
                                    "eventId": "00000000-0000-0000-0000-000000000000",
                                    "eventType": "string",
                                    "resourceType": "string",
                                    "resourceId": "00000000-0000-0000-0000-000000000000",
                                    "projectId": "00000000-0000-0000-0000-000000000000",
                                    "occurredAt": "string",
                                    "read": true,
                                    "truncated": true,
                                    "href": "string",
                                    "resourceLabel": "string",
                                    "projectName": "string",
                                    "resourceStatus": "string",
                                    "versionNumber": 0,
                                    "exportFormat": "string",
                                    "count": 0
                                  }
                                ],
                                "nextPageToken": "string",
                                "meta": {
                                  "pageSize": 0
                                }
                              }